/*!
  \file
  \brief 単色サーフェス

  \author Satofumi KAMIMURA

  $Id: master_ColorSurface.cpp 940 2009-05-29 21:56:03Z satofumi $
*/

#include "master_ColorSurface.h"

using namespace qrk;
using namespace qrk::sync_master;


struct ColorSurface::pImpl
{
  // !!!


  pImpl(const Rect<long>& rect, const Color& color)
  {
    static_cast<void>(rect);
    static_cast<void>(color);
    // !!!
  }
};


ColorSurface::ColorSurface(const Rect<long>& rect, const Color& color)
  : pimpl(new pImpl(rect, color))
{
}


ColorSurface::~ColorSurface(void)
{
}


bool ColorSurface::isValid(void) const
{
  return false;
}


Rect<long> ColorSurface::rect(void) const
{
  Rect<long> dummy;
  // !!!
  return dummy;
}


void ColorSurface::setAlpha(float alpha)
{
  static_cast<void>(alpha);
  // !!!
}


float ColorSurface::alpha(void) const
{
  // !!!
  return 1.0f;
}


void ColorSurface::draw(const Rect<long>* src, const Rect<long>* dest)
{
  static_cast<void>(src);
  static_cast<void>(dest);
  // !!!
}
